# GRFConfig Struct Reference

Information about GRF, used in the game and (part of it) in savegames. More...

`#include <newgrf_config.h>`

Inheritance diagram for GRFConfig:

## Public Member Functions

bool | IsOpenTTDBaseGRF () const
| Checks whether this GRF is a OpenTTD base graphic GRF.

## Data Fields

char * | filename
| Filename - either with or without full path.
char * | name
| NOSAVE: GRF name (Action 0x08).
char * | info
| NOSAVE: GRF info (author, copyright, ...) (Action 0x08).
GRFError * | error
| NOSAVE: Error/Warning during GRF loading (Action 0x0B).
uint8 | flags
| NOSAVE: GCF_Flags, bitset.
GRFStatus | status
| NOSAVE: GRFStatus, enum.
uint32 | grf_bugs
| NOSAVE: bugs in this GRF in this run,.
uint32 | param [0x80]
| GRF parameters.
uint8 | num_params
| Number of used parameters.
bool | windows_paletted
| Whether the NewGRF is Windows paletted or not.
struct GRFConfig * | next
| NOSAVE: Next item in the linked list.

## Detailed Description

Information about GRF, used in the game and (part of it) in savegames.

Definition at line 68 of file newgrf_config.h.

## Member Function Documentation

bool GRFConfig::IsOpenTTDBaseGRF | ( |  | ) | const

Checks whether this GRF is a OpenTTD base graphic GRF.

Returns:
  true if and only if it is a base GRF.

Definition at line 501 of file newgrf_config.cpp.

Referenced by NewGRFWindow::OnInvalidateData(), and NewGRFAddWindow::OnInvalidateData().

## Field Documentation

uint32 GRFConfig::grf_bugs

NOSAVE: bugs in this GRF in this run,.

See also:
  enum GRFBugs

Definition at line 76 of file newgrf_config.h.

Referenced by RailVehicleLengthChanged(), and ShowNewGrfVehicleError().

The documentation for this struct was generated from the following files:

- src/newgrf_config.h
- src/newgrf_config.cpp